LINUX.ORG.RU

SOMA на AMD видеo недоступна нигде, кроме Ubuntu 14.04/15.04...печаль.

 , , ,


0

1

Эта тема была создана, чтобы «поплакаться в жилетку» (потому что вряд ли вы сможете мне помочь, хотя...).
Года 3 назад я принял роковое решение: собрать комп исключительно на железках от AMD. В общем-то, всё было нормально до этого (почти), пока я не решился недавно купить игрушку в стиме - SOMA.
Игра производит впечатление, хорошее (играл только минут 10). И всё бы было здорово, если бы я не был активным пользователем и почитателем дистрибутива Fedora.
На свободных видеодрайверах игра запускается, играет, но в игре присутствуют графические артефакты (чёрные пятна на текстурах).
Решил установить проприетарные видеодрова на свою HD 7970... и вот тут начался ад, который продолжается поныне.
Сколько бы я ни гуглил, и на отечественных, и на зарубежных форумах, но работающего решения, как установить проприетарные видеодрайвера для AMD видеокарт, так и не нашёл. Пробовал Fedora 23, 22, 21, Manjaro (GNOME), CentOS 7, Debian 8.2 (насчёт дебиана не уверен - может и запустилось бы, если бы я раньше зашёл на один форум, где говорили о подключении sid-репозитории, в котором якобы это дело пофиксили... всё-таки, Убунту - дочка Дебиана).
Ни на одном вышеперечисленном дистре проприетарные видеодрайвера корректно, не ломая иксы, не устанавливаются. Удивило, что даже на CentOS не получилось установить, т.к. на сайте AMD заявлено о поддержке RHEL.
Чемпионами из этого «соревнования» вышли Mint 17.2 и Ubuntu 14.04/15.04 (GNOME) - всё устанавливается и играет отлично.
Как вы уже поняли, я являюсь поклонником GNOME, так что KDE-решения меня не особо интересуют.

P.S. Не хочется возвращаться на убунту, но, видимо, придётся :-(...

И кто виноват, что ты купил себе обогреватель от AMD вместо видеокарты?

Polugnom ★★★★★ ()

Вроде не первый год на лоре, а так и не усвоил, что единственная видеокарта - Nvidia.

Akamanah ★★★★★ ()
Ответ на: комментарий от Akamanah

А как же Линус? Если бы он показал этот жест AMD, то я бы ещё понял, почему оказался в этом аду...

Desmond_Hume ★★★★★ ()
Ответ на: комментарий от Akamanah

Два чая господину.
Сейчас набегут, запасаемся попкорном

anonymous ()
Ответ на: комментарий от Desmond_Hume

Что ты делаешь, когда проходишь мимо дохлой кошки, правильно, проходишь мимо. Включай аналогию

anonymous ()
Ответ на: комментарий от anonymous

А если мимо живой? Включил аналогию... Пинаю её и показываю ей фак?))

Desmond_Hume ★★★★★ ()
Ответ на: комментарий от anonymous

Если кошка лежит уже несколько дней на одном месте и воняет, может все-таки стоит озаботиться избавлением от трупа животного?

Khnazile ★★★★★ ()
Ответ на: комментарий от anonymous

Между прочим, бренд AMD фигурирует на офсайте суськи (кстати, да, забыл написать, что суську тоже пробовал - там такая же беда, хотя на вике всё отлично расписано - парадокс!). Бренда NVIDIA ни на одном линуксовом сайте я не видел...

Desmond_Hume ★★★★★ ()
Ответ на: комментарий от Desmond_Hume

А нафига там брэнд нвидии, работает и чудно. за пару лет в бунтовских пакетах только раз забыли dkms пнуть, те кто читают выхлоп обнов пнули сами, до выпадения десктопа в аут после поверофф, остальные побугуртили часик и нашли решение на убунтухелпе. Нахрена я столько написал про бунту, сам не знаю, но там работает и жрать не просит.

anonymous ()
Ответ на: комментарий от anonymous

Дык и у меня всё работает в бубунте. К убунту у меня вопросов нет. АМД там работает отлично. Я не понимаю, почему убунту так отличается от остальных. Неужели она скатится к офтопику?

Desmond_Hume ★★★★★ ()
Ответ на: комментарий от Desmond_Hume

А ты не думал, что создают рабочий дистр для людей, хоть и в корыстных целях. Вполне нормальная цель и было-бы странно не озаботиться работоспособностью видео. Ктоб еще писателям алсы/пульсы фак показал, мечты мечты.

anonymous ()
Ответ на: комментарий от Desmond_Hume

Debian 8.2, fglrx 15.9, gnome 3.14, все работает. Если у тебя gnome >= 3.14, без хаков драйвер не заработает. http://unix.stackexchange.com/questions/222000/how-to-install-amd-catalyst-15.... Попробуй по этой инструкции. Только учти, что она сделана для драйверов с сайта amd. Если будешь ставить с backports Debian, тогда пропишешь другой путь до opegl.Для fedora тоже есть подобные инструкции.

Solar ()
Ответ на: комментарий от Desmond_Hume

я вот с полпина поставил на центОС 7. ЧЯДНТ?

Woolf ★★ ()

Проще починить Мезу, чем заставить работать fglrx, проверено годами. На разрабатываемой версии с карточками на GCN все работает без глюков со дня релиза игры.

Khnazile ★★★★★ ()

Гном же не работает на пипиретарном драйвере от AMD?

shooter93 ()
Ответ на: комментарий от Desmond_Hume

У меня с первого раза не загружалась ос, после перезагрузки все работало. Для centos можно попробовать взять драйвера с сайта, amd делает сборку для rhel

Solar ()

Fedora 23, 22, 21, Manjaro (GNOME), CentOS 7, Debian 8.2

у этого хлама проблемы не только с AMD

Ford_Focus ★★★★★ ()

В Gentoo прекрасно устанавливаются проприетарные видео драйверы от AMD.

Ну а про Gnome на проприетарных драйверах от AMD тебе придётся забыть, т.к. проприетарные драйвер не поддерживают EGL, а без него у тебя не запустится GNOME 3x.

Так что вперёд, ставь другое DE и проприетарный драйвер AMD.

kostik87 ★★★★★ ()

А что, akmod-fglrx для F22 не существует?

Deleted ()

энжой швабоду гном и Фёдору, кстати ты завел гном на fglrx?

ggrn ★★★★★ ()
Ответ на: комментарий от kostik87

Мда-а-а-а. Однозначно готов для десктопа.

Deleted ()
Ответ на: комментарий от Ford_Focus

хлам это убунта, то что люди не могут подключить в fedora/centos 4 репа проблема не дистров

nezametniy ()
Ответ на: комментарий от kostik87

Почему тогда на Ubuntu GNOME 14.04 отлично всё работает? Дело, видимо, но совсем в гноме. А если и в нём, то убунту-разработчики научились это дело фиксить, а другим секретов не выдают... вот тебе и открытый код. На словах открытый, а на деле - каждый тянет на себя одеяло).

Desmond_Hume ★★★★★ ()
Ответ на: комментарий от kostik87

Хотя хз, я определённо точно помню, что у меня на рабочем компьютере с полгода назад арч работал на гноме с каталистом. Единственное, что при этом не работало — catalyst control center, который из-за каких-то либ (сейчас уже не вспомню) приходилось запускать в чистых иксах вместо гнома.

Deleted ()

Пробовал Fedora

Фигово пробовал. Федора - официально поддерживаемая AMD система. В отличии от бубунты.

devl547 ★★★★★ ()
Ответ на: комментарий от Desmond_Hume

А если и в нём, то убунту-разработчики научились это дело фиксить, а другим секретов не выдают... вот тебе и открытый код

Ты делаешь поспешные выводы. Никто не будет заниматься такой детской хернёй только потому, что он такой злодей.

Deleted ()
Ответ на: комментарий от prischeyadro

Теперь понял((. Столлмана уважаю, кто бы чего про него ни говорил.

Desmond_Hume ★★★★★ ()
Ответ на: комментарий от kostik87

Насчёт гнома не согласен. По моему мнению, самая достойная ДЕ-шка среди всего множества. Я бы сказал, идеальная. Реально, даже не знаю, что бы ещё выдумать такое, чтобы гном стал ещё удобнее...

Desmond_Hume ★★★★★ ()

В этом году с проприетарными дровами от AMD полная печаль, подтверждаю. Ушёл на открытые. Жить можно, и даже в игорь играться.

WARNING ★★★★ ()
Ответ на: комментарий от Desmond_Hume

Ты наркоман, он про совместимость говорил, а не про качество гнома.

Deleted ()
Ответ на: комментарий от nezametniy

Пробовал. Говорю, весь инет обшерстил... Уже пробовал всё, в разной последовательности. Единственный успех: на манжаре всё завелось отлично, пока я не решил обновиться. То есть, на свежеустановленной манжаро-гноме, до обновления (!), всё работает - стим устанавливается без проблем, несвободные дрова сразу же после установки системы, без танцев с бубном. Но как только я сделал pacman -Syu и обновился - всё... чёрный экран. Причём жесткий, даже Ctrl + Alt + Fn не помогало - ступор полный.

Desmond_Hume ★★★★★ ()
Ответ на: комментарий от Deleted

Неважно. За попирательство свободки, хотя её попирают все. Ну так и Линус показал палец нвидии за хреновую поддержку, хотя она хреновая у всех. Теперь это священные тексты — истолковывать можно, оценивать нельзя.

prischeyadro ★★★☆☆ ()
Ответ на: комментарий от WARNING

В Сому не получится( на свободных (т.е., как бы получится, но только с артефактами на текстурах). Л4Д2 играет отлично. Контра тоже пашет (с микрофоном, правда, глюкалово какое-то было как-то...).

Desmond_Hume ★★★★★ ()

ТС, ты на моё сообщение

А что, akmod-fglrx для F22 не существует?

вообще отвечать собираешься?

Deleted ()
Ответ на: комментарий от Desmond_Hume

в этом боль проприоритарных драйверов nvidia/amd,на нвидии тож самое, прежде чем обновляться надо будет смотреть инструкции и править конфиги под обновления.

nezametniy ()
Ответ на: комментарий от nezametniy

Дорогой мой, репы все подключал: и эпел, и рпмфордж и проч., и проч. - порадовало, что в сентоси с софтом и репами проблем нет, но fglrx... просто беда какая-то для rpm-based дистров, если установлена видюха от АМД.

Desmond_Hume ★★★★★ ()
Ответ на: комментарий от Deleted

Как это решит мою проблему с видеокартой? У меня был установлен этот пакет. Это не решало ничего...

Desmond_Hume ★★★★★ ()
Ответ на: комментарий от Desmond_Hume

По моему мнению, самая достойная ДЕ-шка среди всего множества.

Дело вкуса. Но я тебе написал не про это, а про то, что если тебе нужно использовать проприетарный драйвер от AMD, то ставь другое DE, т.е. в проприетарном драйвере нет поддержки EGL, а без EGL у тебя не запустится Gnome 3.

Так понятно?

kostik87 ★★★★★ ()
Ответ на: комментарий от Desmond_Hume

я по ссылкам выше знакомой ставил драйвер, не с первого раза, но поставил. просто приучайся, сначала поставил всё нужное, потом обновился, а потом уже меняй драйвер на проприоритарный.

nezametniy ()
Ответ на: комментарий от nezametniy

у меня установлены штатные репы были и rpmfusion (и фри, и нон-фри)...

Desmond_Hume ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.